import request from '@/utils/request'

// 查询素材资源列表
export function listMediAasset(query) {
  return request({
    url: '/base/mediAasset/list',
    method: 'get',
    params: query
  })
}

// 查询素材资源详细
export function getMediAasset(id) {
  return request({
    url: '/base/mediAasset/' + id,
    method: 'get'
  })
}

// 新增素材资源
export function addMediAasset(data) {
  return request({
    url: '/base/mediAasset',
    method: 'post',
    data: data
  })
}

// 修改素材资源
export function updateMediAasset(data) {
  return request({
    url: '/base/mediAasset',
    method: 'put',
    data: data
  })
}

// 删除素材资源
export function delMediAasset(id) {
  return request({
    url: '/base/mediAasset/' + id,
    method: 'delete'
  })
}
